org.jbpm.casemgmt.impl.jms

## Class AsyncCaseInstanceAuditEventReceiver

- java.lang.Object
- - org.jbpm.casemgmt.impl.jms.AsyncCaseInstanceAuditEventReceiver

- All Implemented Interfaces:
    javax.jms.MessageListener

      public class AsyncCaseInstanceAuditEventReceiver
      extends Object
      implements javax.jms.MessageListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncCaseInstanceAuditEventReceiver(javax.persistence.EntityManagerFactory entityManagerFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CaseFileDataLog` | `caseFileDataByName(String caseId, String name, javax.persistence.EntityManager em)`
    `protected List<String>` | `currentCaseData(String caseId, javax.persistence.EntityManager em)`
    `javax.persistence.EntityManager` | `getEntityManager()`
    `javax.persistence.EntityManagerFactory` | `getEntityManagerFactory()`
    `void` | `onMessage(javax.jms.Message message)`
    `void` | `setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)`
    `protected void` | `updateCaseFileItems(AuditCaseInstanceData auditCaseInstanceData, javax.persistence.EntityManager em)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncCaseInstanceAuditEventReceiver

          public AsyncCaseInstanceAuditEventReceiver(javax.persistence.EntityManagerFactory entityManagerFactory)

  - ### Method Detail

    - #### onMessage

          public void onMessage(javax.jms.Message message)

      Specified by:
        `onMessage` in interface `javax.jms.MessageListener`

    - #### getEntityManagerFactory

          public javax.persistence.EntityManagerFactory getEntityManagerFactory()

    - #### setEntityManagerFactory

          public void setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

    - #### updateCaseFileItems

          protected void updateCaseFileItems(AuditCaseInstanceData auditCaseInstanceData,
                                             javax.persistence.EntityManager em)

    - #### currentCaseData

          protected List<String> currentCaseData(String caseId,
                                                 javax.persistence.EntityManager em)

    - #### caseFileDataByName

          protected CaseFileDataLog caseFileDataByName(String caseId,
                                                       String name,
                                                       javax.persistence.EntityManager em)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.